Package org.gradle.language.twirl

# Interface TwirlTemplateFormat

@Incubating public interface TwirlTemplateFormat
Twirl Template format mapping

Since:
  4.2

## Method Summary

Modifier and Type
Method
Description
`String`
`getExtension()`
Extension without the leading '.'.
`String`
`getFormatType()`
Fully qualified class name for the template format.
`Collection<String>`
`getTemplateImports()`
Imports that are needed for this template format.

## Method Details

### getExtension

String getExtension()
Extension without the leading '.'.

Returns:
  file extension

### getFormatType

String getFormatType()
Fully qualified class name for the template format.

Returns:
  class name of the format

### getTemplateImports

Collection<String> getTemplateImports()
Imports that are needed for this template format.

These are just the packages or individual classes in Scala format. Use `my.package._` and not `my.package.*`.

Returns:
  collection of imports to be added after the default Twirl imports